> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Follow-up Appointment Reminder (Instant)

> This webhook is triggered to send an instant reminder for an upcoming follow-up appointment. Unlike the standard follow-up reminder which is scheduled in advance, this reminder event is send immediately. The receiving system can use this to trigger instant follow-up visit alerts to the patient or doctor.

**Field Definitions**

• **event**: string - The type of event. For instant follow-up appointment reminders, this will be `appointment.followup_reminder_instant`.

• **business_id**: string - The eka ID of the business.

• **event_time**: integer - Event occurrence timestamp in milliseconds.

• **partition_id**: string - Partition identifier for the event.

• **transaction_id**: string - Unique transaction identifier for the event.

• **data**: object - Contains detailed information about the appointment.

• **appointment_id**: string - Unique identifier for the appointment.

• **doctor_id**: string - Unique identifier for the doctor.

• **patient_id**: string - Unique identifier for the patient.

• **clinic_id**: string - Unique identifier for the clinic.

**Example Webhook Request**

**Endpoint:** [https://your-registered-webhook-url.com](https://your-registered-webhook-url.com)

**Method:** POST



## OpenAPI

````yaml post /registered_url_for_appointment_followup_reminder_instant_webhook_events
openapi: 3.1.0
info:
  title: Transaction Status API
  version: 1.0.0
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://{partner_host}
    variables:
      partner_host:
        default: api.example.com
        description: Partner API host
security: []
paths:
  /registered_url_for_appointment_followup_reminder_instant_webhook_events:
    post:
      tags:
        - Appointment Webhooks
      summary: Follow-up Appointment Reminder (Instant)
      description: >-
        This webhook is triggered to send an instant reminder for an upcoming
        follow-up appointment. Unlike the standard follow-up reminder which is
        scheduled in advance, this reminder event is send immediately. The
        receiving system can use this to trigger instant follow-up visit alerts
        to the patient or doctor.


        **Field Definitions**


        • **event**: string - The type of event. For instant follow-up
        appointment reminders, this will be
        `appointment.followup_reminder_instant`.


        • **business_id**: string - The eka ID of the business.


        • **event_time**: integer - Event occurrence timestamp in milliseconds.


        • **partition_id**: string - Partition identifier for the event.


        • **transaction_id**: string - Unique transaction identifier for the
        event.


        • **data**: object - Contains detailed information about the
        appointment.


        • **appointment_id**: string - Unique identifier for the appointment.


        • **doctor_id**: string - Unique identifier for the doctor.


        • **patient_id**: string - Unique identifier for the patient.


        • **clinic_id**: string - Unique identifier for the clinic.


        **Example Webhook Request**


        **Endpoint:**
        [https://your-registered-webhook-url.com](https://your-registered-webhook-url.com)


        **Method:** POST
      operationId: AppointmentFollowupReminderInstantWebhook
      parameters: []
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              type: object
              properties:
                business_id:
                  type: string
                  example: b-23535342
                  description: Business ID for the appointment
                event:
                  type: string
                  example: appointment.followup_reminder_instant
                  description: Type of event
                event_time:
                  type: integer
                  example: 1741677083454
                  description: Event occurrence timestamp
                partition_id:
                  type: string
                  example: >-
                    34k34k3-ea16-438b-81ea-c2e4b296051b:appointment.followup_reminder_instant
                  description: Partition identifier for the event
                transaction_id:
                  type: string
                  example: >-
                    34k34k3-ea16-438b-81ea-c2e4b296051b:appointment.followup_reminder_instant:1741677083454
                  description: Unique transaction identifier for the event
                data:
                  type: object
                  properties:
                    appointment_id:
                      type: string
                      example: 34k34k3-ea16-438b-81ea-c2e4b296051b
                      description: Unique appointment ID
                    doctor_id:
                      type: string
                      example: '23532432142'
                      description: Identifier for the doctor in Eka
                    patient_id:
                      type: string
                      example: '62342343'
                      description: Identifier for the patient in Eka
                    clinic_id:
                      type: string
                      example: c-dsjfkj23kj3jrfdf
                      description: Identifier for the clinic in Eka
      responses:
        '200':
          description: ''
          headers: {}
      deprecated: false

````